# $Revision: 1.52 $, $Date: 2004/10/31 13:04:11 $
Summary:	A utility for removing files based on when they were last accessed
Summary(de):	Utility zum Entfernen von Dateien, basierend auf ihrer Zugriffszeit
Summary(es):	Limpia archivos en directorios basado en sus edades
Summary(fr):	Nettoie les fichiers dans les rpertoires en fonction de leur age
Summary(pl):	Narzdzie kasujce pliki w oparciu o czas ostatniego dostpu
Summary(pt_BR):	Limpa arquivos em diretrios baseado em suas idades
Summary(ru):	       
Summary(uk):	̦  ̦  Ҧ Ԧ  
Name:		tmpwatch
Version:	2.9.1
Release:	1
License:	GPL
Group:		Applications/System
# New versions are taken from:
# ftp://download.fedora.redhat.com/pub/fedora/linux/core/development/SRPMS/
Source0:	http://piorun.ds.pg.gda.pl/~blues/SOURCES/%{name}-%{version}.tar.gz
# Source0-md5:	0780803e5ab13cb6b5858b5ed6dca9f5
Patch0:		%{name}-ac_am.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The tmpwatch utility recursively searches through specified
directories and removes files which have not been accessed in a
specified period of time. tmpwatch is normally used to clean up
directories which are used for temporarily holding files (for example,
/tmp). tmpwatch ignores symlinks, won't switch filesystems and only
removes empty directories and regular files.

%description -l de
Das tmpwatch-Utility sucht rekursiv durch angegebene Verzeichnisse und
entfernt Dateien, die in einer angegebenen Zeitspanne nicht benutzt
wurden. Tmpwatch wird normalerweise benutzt, um Verzeichnisse
aufzurumen, in denen temporre Dateien gelagert werden (z.B. /tmp).
Tmpwatch ignoriert symlinks, wechselt kein Filesystem und entfernt nur
normale Dateien und leere Verzeichnisse.

%description -l es
Este paquete nos ofrece un programa que puede ser usado para limpiar
directorios. Peridicamente remueve el directorio (ignorando symlinks)
y elimina archivos que no fueron accedidos en un tiempo especificado
por el usuario.

%description -l fr
Ce paquetage offre un programme permettant de nettoyer les
rpertoires. Il recherche rcursivement dans le rpertoire (en
ignorant les liens symboliques) et supprime les fichiers qui n'ont pas
t accds depuis une priode donne.

%description -l pl
tmpwatch rekursywnie przeszukuje wyspecyfikowane katalogi szukajc
plikw, ktre nie byy uywane przez okrelony okres czasu, w celu
ich usunicia. Jest on zazwyczaj uywany do czyszczenia katalogw
w ktrych przechowywane s pliki tymczasowe (na przykad /tmp).
tmpwatch ignoruje symlinki, nie zmienia systemu plikw podczas
przeszukiwania katalogw, usuwa tylko puste katalogi i zwyczajne
pliki.

%description -l pt_BR
Este pacote oferece um programa que pode ser usado para limpar
diretrios. Ele periodicamente vasculha o diretrio (ignorando
symlinks) e remove arquivos que no foram acessados em um tempo
especificado pelo usurio.

%description -l tr
Bu paket, dizinleri temizleyen bir program ierir. Simgesel balar
gznne almadan dizinleri rekrsif olarak arar ve kullancnn
nceden belirledii bir srede eriilmemi olanlar siler.

%description -l ru
 tmpwatch      , 
     .   
 ,    (, /tmp). 
  ,       
      ( ) .

%description -l uk
̦ tmpwatch  Ѥ    , 
     .  դ 
 Ǧ,  Ҧ צ  (, /tmp). 
̦ դ ̦,    ۦ צ  
Ѥ Ԧ Φ   Φ ( æΦ) .

%prep
%setup -q
%patch0 -p1

%build
rm -f missing
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/cron.daily

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cat > $RPM_BUILD_ROOT/etc/cron.daily/tmpwatch <<EOF
%{_sbindir}/tmpwatch -x /tmp/.X11-unix -x /tmp/.XIM-unix -x /tmp/.font-unix \
-x /tmp/.ICE-unix -x /tmp/.Test-unix 240 /tmp
%{_sbindir}/tmpwatch -f 240 /var/cache/man/{,*,X11R6,X11R6/*,local,local/*}/cat? 
%{_sbindir}/tmpwatch 720 /var/tmp
# Cleanup temporary files for php:
if [ -d /var/run/php ]; then
	%{_sbindir}/tmpwatch 720 /var/run/php
fi
# Cleanup directories for amavis:
if [ -d /var/spool/amavis/virusmails ]; then
	%{_sbindir}/tmpwatch 1440 /var/spool/amavis/virusmails
fi
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/tmpwatch
%attr(750,root,root) %config %verify(not size mtime md5) /etc/cron.daily/*
%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tmpwatch.spec,v $
Revision 1.52  2004/10/31 13:04:11  blues
- release 1 - works well now

Revision 1.51  2004/10/31 12:25:12  blues
- 2.9.1 - started update, NFY, some new features taken from Fedora

Revision 1.50  2004/10/30 10:50:39  wolf
- rel 9
- expanded pl description
- default config is not a place for your config, blues

Revision 1.49  2004/10/27 11:08:38  blues
- cleanup /var/run/php also...

Revision 1.48  2004/10/26 13:45:11  blues
- URL, TODO, STBR

Revision 1.47  2004/10/12 20:38:51  mmazur
- rel 8 for th

Revision 1.46  2004/10/04 07:17:34  blues
- release 7 - cleanup amavis quarantine too. Too much space to waste...

Revision 1.45  2004/09/25 11:20:55  radek
- cosmetics (spaces -> tabs)

Revision 1.44  2003/08/30 18:10:46  mmazur
- rel 6 for ac

Revision 1.43  2003/05/25 11:01:03  malekith
- massive attack, adding Source-md5

Revision 1.42  2003/05/25 06:27:23  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.41  2002/12/25 00:35:04  adgor
- Moved %{__libtoolize} on top (libtool must generate ltmain.sh before
  automake starts)

Revision 1.40  2002/10/14 14:52:45  kloczek
- updated to 2.8.4 and merged translations from Conectiva.

Revision 1.39  2002/10/09 13:14:49  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.38  2002/06/23 20:32:36  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.37  2002/05/21 23:14:49  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.36  2002/03/24 23:28:25  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.35  2002/03/12 14:19:20  kloczek
- bump release to 2 and merge translations ftom KSI.

Revision 1.34  2002/03/11 15:31:46  misiek
- SECURITY FIX: UPDATE IMMEDIATELY! (2 years old bug in PLD; yeah, great - fount by cliph)

Revision 1.33  2002/02/22 23:29:48  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.32  2002/01/18 02:15:12  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.31  2001/03/22 03:43:26  kloczek
- release 3: remove files also from /var/tmp.

Revision 1.30  2000/12/07 00:01:39  kloczek
- updated to 2.6.1,
- added ac_am patch with complet autoconf/automake/libtool suit for
  building tmpwatch.

Revision 1.29  2000/09/09 22:36:07  kloczek
- spec adapterized.

Revision 1.28  2000/09/09 20:58:51  kravietz
- release++

Revision 1.27  2000/09/09 20:58:38  kravietz
- added DOS fix in tmpwatch-dos.patch

Revision 1.26  2000/06/09 07:55:12  kloczek
- more %%{__make} macros.

Revision 1.25  2000/06/09 07:24:00  kloczek
- added using %%{__make} macro.

Revision 1.24  2000/05/03 18:55:45  kloczek
- release 2,
- watch on all cat? directories also non english man pages.

Revision 1.23  2000/05/02 21:23:28  baggins
- fixed version, minor cleanup

Revision 1.22  2000/04/01 11:15:42  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.21  2000/03/28 16:55:08  baggins
- translated kloczkish into english

Revision 1.20  2000/02/09 23:53:50  kloczek
- updated ro 2.1,
- spec adapterized.

Revision 1.19  2000/02/07 18:18:46  baggins
- gzip man page

Revision 1.18  1999/12/05 10:07:46  kloczek
- release 3,
- new %description and Summary.

Revision 1.17  1999/09/29 16:55:47  kloczek
- updated to 2.0.

Revision 1.16  1999/07/15 23:15:09  pius
- cosmetic changes.

Revision 1.15  1999/07/12 23:06:15  kloczek
- added using CVS keywords in %changelog (for automating them).

* Thu May 20 1999 Artur Frysiak <wiget@pld.org.pl>
  [1.7-2]
- rebuild in new evn.
- based on RH spec
- pl translation by Wojtek lusarczyk <wojtek@shadow.eu.org>
- start at RH spec file.
